/*
 * @class util.tools
 *
 */

/*
 * @copyright       © Copyright 2006-2018, epages GmbH, All Rights Reserved.
 *
 * @module          util/tools
 */

define("util/tools", ["module", "jquery"], function (mod, $) {

    var module = {
        // check if argument is a valid jquery element
        isJQueryElement: function(element) {
            return (element && (element instanceof jQuery && !!element[0] && !!element[0].tagName));
        },

        // check if argument is a valid jquery selector
        isValidSelector: function(selector) {
            if (typeof(selector) !== 'string') {
                return false;
            }
            try {
                var $element = $(selector);
            } catch(error) {
                return false;
            }
            return true;
        }
    };

    return module;
});
